Skip to main content
POST
/
webhooks-journal
/
subscriptions
/
2026-03
cURL
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionType": "OBJECT",
  "portalId": 123,
  "actions": [
    "CREATE"
  ],
  "objectTypeId": "<string>",
  "objectIds": [
    123
  ],
  "properties": [
    "<string>"
  ]
}
'
{
  "actions": [
    "CREATE"
  ],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "subscriptionType": "APP_LIFECYCLE_EVENT",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
subscriptionType
enum<string>
default:OBJECT
required
Available options:
OBJECT,
ASSOCIATION,
EVENT,
APP_LIFECYCLE_EVENT,
LIST_MEMBERSHIP,
GDPR_PRIVACY_DELETION
portalId
integer<int64>
required
actions
enum<string>[]
required
Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectTypeId
string
required
objectIds
integer<int64>[]
required
properties
string[]
required

Response

successful operation

actions
enum<string>[]
required
Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
required
createdAt
string<date-time>
required

The timestamp when the webhook subscription was created, in ISO 8601 format (e.g., 2020-02-29T12:30:00Z).

id
integer<int64>
required

The unique ID of the webhook subscription.

objectTypeId
string
required

The ID of the object type for the subscription. This can be a standard CRM object (e.g., 'contact', 'company', 'deal') or a custom object ID for custom object subscriptions.

subscriptionType
enum<string>
required
Available options:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
required

The timestamp when the webhook subscription was last updated, in ISO 8601 format (e.g., 2020-02-29T12:30:00Z).

actionOverrides
object
associatedObjectTypeIds
string[]
createdBy
integer<int64>
deletedAt
string<date-time>
listIds
integer<int64>[]
objectIds
integer<int64>[]
portalId
integer<int64>
properties
string[]
Last modified on May 1, 2026